## surf 0.4.1

=== Makefile ===
# surf - simple browser
# See LICENSE file for copyright and license details.

include config.mk

SRC = surf.c
OBJ = ${SRC:.c=.o}

all: options surf

options:
	@echo surf build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

surf: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ surf.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f surf ${OBJ} surf-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p surf-${VERSION}
	@cp -R LICENSE Makefile config.mk config.def.h README \
		surf.1 ${SRC} surf-${VERSION}
	@tar -cf surf-${VERSION}.tar surf-${VERSION}
	@gzip surf-${VERSION}.tar
	@rm -rf surf-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f surf ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/surf
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < surf.1 > ${DESTDIR}${MANPREFIX}/man1/surf.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/surf.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/surf
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/surf.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
surf (0.4.1-8) unstable; urgency=low

  * debian/copyright:
    + Format URI now confirms Debian copyright-format 1.0
    + Added myself to the copyright holders of debian directory   
  * debian/control
    + Increased minimum version of debhelper required to 9
    + Bumped Standards-Version to 3.9.3. This did not require any
      changes to package source.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 17 Jun 2012 20:39:35 +0530

surf (0.4.1-7) unstable; urgency=low

  * New Maintainer (Closes: #647091)
  * debian/control:
    + Added myself as maintainer of package.
  * debian/patches:
    + Added surf_0.4.1_mkdir_fix.patch provided by Anslem Grabe to fix the
      ~/.surf directory permission even if the directory already exists also
      patch makes the cookies.txt only user readable.
    + Removed fix-insecure-permission.patch as the new patch contains the all
      the changes which was there in this patch.
    + Removed debian-changes-0.4.1-3 patch
    + Modified the dpkg-buildflags.patch to remove -Os from CFLAGS to allow 
      DEB_BUILD_OPTIONS=noopt
    + Added transparent_makefile.patch to allow the command execution in
      Makefile visible.
    + Modified X11.diff patch to allow clean application of
      transparent_makefile.patch
  * debian/rules:
    + Overrode dh_clean to remove config.h created by Makefile during build

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 22 Feb 2012 22:42:59 +0530

surf (0.4.1-6) unstable; urgency=high

  * QA upload.
  * debian/patches:
    + Added fix-insecure-permissions.patch to fix world readable cookie jar
      vulnerability CVE-2012-0842. (Closes: #659296)

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 11 Feb 2012 00:01:08 +0530

surf (0.4.1-5) unstable; urgency=low

  * QA upload.
  * Added Debian QA Group as maintainer for package.
  * debian/control:
    + Bumped Standards-Version to 3.9.2. This did not require any change to
      the package source.
    + Vcs-* fields now point to collab-maint repository
    + Added Build-Depends: on dpkg-dev (>= 1.16.1) to introduce dpkg-buildflags
    + In Build-Depends: renamed libwebkit-dev to libwebkitgtk-dev
      (Closes: #635427)
    + Added pkg-config to Build-Depends as config.mk is using it.
  * debian/watch:
    + Introduced watch file
  * debian/surf.postinst:
    + Reduced the update-alternative priority to 30 (Closes: #657646)
  * debian/patches:
    + Added dpkg-buildflags.patch to config.mk to make it honour {C,CPP,LD}FLAGS
      environment variables
    + Added DEP3 header to X11.diff
  * debian/rules:
    + Export {C,CPP,LD}FLAGS environment variables for introducing
      dpkg-buildflags

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 02 Feb 2012 22:09:57 +0530

surf (0.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/X11.diff: Added.  Fixed FTBFS.  Closes: #615780.

 -- Bart Martens <bartm@debian.org>  Sun, 02 Oct 2011 20:08:59 +0200

surf (0.4.1-4) unstable; urgency=low

  * Fix "needs to depend on suckless-tools, x11-utils, xterm and wget"
    <Added deps, thanks Paul> (Closes: #608556)

 -- Kai Hendry <hendry@iki.fi>  Mon, 03 Jan 2011 10:49:20 +0000

surf (0.4.1-3) unstable; urgency=low

  * New maintainer

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 14:38:31 +0000

surf (0.4.1-2) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:19:05 +0100

surf (0.4.1-1) unstable; urgency=low

  * Merging upstream version 0.4.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Jun 2010 17:24:00 +0200

surf (0.4-1) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 0.4.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jun 2010 08:07:12 +0200

surf (0.3-1) unstable; urgency=low

  * Merging upstream version 0.3.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Oct 2009 17:14:47 +0100

surf (0.2-1) unstable; urgency=low

  * Merging upstream version 0.2.
  * Sorting depends.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Oct 2009 20:35:54 +0200

surf (0.1.2-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Sep 2009 10:21:11 +0200

=== debian/control ===
Source: surf
Section: web
Priority: optional
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libwebkitgtk-dev, dpkg-dev (>= 1.16.1), pkg-config
Standards-Version: 3.9.3
Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
Homepage: http://surf.suckless.org
Vcs-Git: git://anonscm.debian.org/collab-maint/surf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/surf.git;a=summary

Package: surf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, suckless-tools, x11-utils, xterm, wget
Provides: www-browser
Description: simple web browser
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS


%:
	dh ${@}

override_dh_clean:
	rm -rf config.h
	dh_clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/surf PREFIX=/usr install

## surf 0.6

=== debian/changelog ===
surf (0.6-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Imported new upstream release 0.6.
    Closes: bug#611118,#611872,#611294, Thanks to Jonathan Neider.
  * Converted to CDBS packaging.
     + Moved build-depends to rules file
     + Moved depends to rules file and removed x-terminal-emulator and wget
       from depends, upstream now uses curl and stterm which is now
       introduced as Depends.
     + Bumped Standards-Version to 3.9.4 (no changes needed).
     + Removed ;a=summary from the URL in Vcs-Browser field.
     + Improved short description of package.
  * Updated copyright holders for upstream source.
  * Introduced debian/copyright_hints.
  * Renamed patches to follow micro guidelines described in
    debian/patches/README.
  * Replaced x-terminal-emulator with stterm as upstream switched from
    xterm to st in 2003_replace_st_with_stterm.patch.
  * Update 2002_hardening_portability_fix.patch to include CPPFLAGS in
    upstream compilation rules.
  * Updated the copyright year on debian folder for me to 2012-2013.
  * Bump Standards-Version to 3.9.5.
  * Upload to unstable.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 05 Feb 2014 15:19:07 +0530

surf (0.5-1) experimental; urgency=low

  * Imported Upstream version 0.5
  * debian/patches:
    + Deleted X11.diff from series file as it is merged in the upstrea
    + Deleted surf_0.4.1_mkdir_fix.patch as the changes done by this patch
      are merged in upstream
    + Refreshed the dpkg-buildflags.patch as there was a modification in
      upstream supplied config.mk
    + Added replace_xterm_with_x-terminal-emulator.patch to replace xterm
      with x-terminal-emulator command.
  * debian/rules:
    + Removed lines which was including /usr/share/dpkg/buildflags.mk and
      exporting CPPFLAGS CFLAGS and LDFLAGS. Since package is using compat
      level 9 this should be done automatically by debhelper
  * Set debian/compat version to 9
  * debian/NEWS:
    + Added information on how SSL certificate verification success or failure
      is indicated by this new release (Closes: #684173).
  * debian/control:
    + Package now depends on xterm | x-terminal-emulator instead of only xterm
      (Closes: #683851)
  * Removed debian/source/options file as the compression-level=9 and
    compression=gzip are currently default options

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Tue, 18 Sep 2012 19:42:37 +0530

=== debian/control ===
Source: surf
Section: web
Priority: optional
Build-Depends: cdbs,
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 libgtk2.0-dev,
 libwebkitgtk-dev,
 pkg-config
Standards-Version: 3.9.5
Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
Homepage: http://surf.suckless.org
Vcs-Git: git://anonscm.debian.org/collab-maint/surf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/surf.git

Package: surf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${cdbs:Depends}
Provides: www-browser
Description: Simple web browser by suckless community
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk

# Class for handling plain make
include /usr/share/cdbs/1/class/makefile.mk

pkg = surf

# get-orig-source target
DEB_UPSTREAM_URL = http://dl.suckless.org/surf
DEB_UPSTREAM_TARBALL_MD5 = aeeed723b562a30cc6a2b3ea18f6d99a

# Build Depends and Depends
CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libwebkitgtk-dev, pkg-config
CDBS_DEPENDS_$(pkg) += , suckless-tools, x11-utils, stterm, curl

# Customize DESTDIR and PREFIX
DEB_MAKE_EXTRA_ARGS += DESTDIR=$(CURDIR)/debian/surf PREFIX=/usr

# Install target
DEB_MAKE_INSTALL_TARGET = install

# clean target hook
clean::
	rm -rf config.h

## surf 0.7

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	@echo creating dist tarball
 	@mkdir -p surf-${VERSION}
 	@cp -R LICENSE Makefile config.mk config.def.h README \
+		surf-open.sh arg.h TODO.md surf.png \
 		surf.1 ${SRC} surf-${VERSION}
 	@tar -cf surf-${VERSION}.tar surf-${VERSION}
 	@gzip surf-${VERSION}.tar

=== debian/changelog ===
surf (0.7-2) unstable; urgency=low

  [ Reiner Herrmann ]
  * Bump Standards-Version to 3.9.8.
  * Use https in Vcs-Git.
  * Enable strict SSL to prevent MitM attacks. (LP: #1541109)

  [ Dmitry Bogatov ]
  * Honour HOME/USER variables while searching for home dir. (Closes: #825397)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 29 May 2016 13:02:53 +0200

surf (0.7-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: #777064).
  * Port to GTK+ 3.0 (Closes: #790215).
  * Bump Standards-Version to 3.9.6.
  * Switch back to dh-style packaging.
    + enable all hardening flags
    + pass --as-needed to linker
  * Update patches for new upstream release.
  * debian/copyright: Move license to stand-alone paragraph.
  * debian/gbp.conf: Rename deprecated fields and reorder.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2016 22:14:48 +0100

=== debian/control ===
Source: surf
Section: web
Priority: optional
Build-Depends: debhelper (>= 9),
               libgtk-3-dev,
               libwebkitgtk-3.0-dev,
               pkg-config
Standards-Version: 3.9.8
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Homepage: http://surf.suckless.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/surf.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/surf.git

Package: surf
Architecture: any
Depends: curl,
         stterm,
         suckless-tools,
         x11-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: www-browser
Description: Simple web browser by suckless community
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## surf 1.0.0

=== DESCRIPTION ===
Package: surf
Type: Package
Title: Survey-Based Gross Flows Estimation
Version: 1.0.0
Author: Guilherme Jacob
Date: 2021-04-02
Maintainer: Guilherme Jacob <guilhermejacob91@gmail.com>
Description: Estimation of gross flows under non-response and complex sampling designs, using Gutiérrez, Nascimento Silva and Trujillo (2014) <https://www150.statcan.gc.ca/n1/pub/12-001-x/2014002/article/14113-eng.pdf> complex sampling extension of the non-response model developed by Stasny (1987) <https://www.scb.se/contentassets/ca21efb41fee47d293bbee5bf7be7fb3/some-markov-chain-models-for-nonresponse-in-estimating-gross-labor-force-flows.pdf>. 
    It estimates the gross flows process under non-response by modelling the observable cross-tabulation counts as a two-stage Markov Chain process, combining (1) the unobservable Markov Chain describing the transition of states; and (2) the non-response process, given by the initial response probabilities and the response/non-response transition probabilities.
BugReports: https://github.com/guilhermejacob/surf
Depends: R (>= 3.5.0), stats, Matrix
Imports: numDeriv, survey, MASS, abind
License: GPL-3
LazyData: true
Suggests: testthat, sampling, rmarkdown, knitr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-04-02 22:41:17 UTC; guilherme
Repository: CRAN
Date/Publication: 2021-04-06 08:10:03 UTC

## surf 2.0

=== debian/changelog ===
surf (2.0-3) unstable; urgency=low

  [ Reiner Herrmann ]
  * Bump Standards-Version to 4.0.1; no changes required.

  [ Helmut Grohne ]
  * Fix cross building by allowing overriding of used pkg-config.
    (Closes: #870584)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Aug 2017 13:52:42 +0200

surf (2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2017 13:53:10 +0200

surf (2.0-1) experimental; urgency=low

  * New upstream release.
    + uses webkit2gtk instead of webkitgtk (LP: #1588150)
    + fixes 3rd-party cookie handling (Closes: #833321)
  * Change webkit build dependency to libwebkit2gtk-4.0-dev.
  * Drop patches applied upstream and refresh other ones.
  * Update to debhelper compat level 10.
    + drop --parallel from d/rules, which is now default
  * Drop ancient NEWS.Debian file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 14 Apr 2017 21:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: surf
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libgtk-3-dev,
-               libwebkitgtk-3.0-dev,
+               libwebkit2gtk-4.0-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: http://surf.suckless.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/surf.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr

## surf 2.0%2Bgit20190208

=== debian/tests/control ===
Test-Command: cmp /etc/apparmor.d/abstractions/surf-gstreamer /etc/apparmor.d/abstractions/gstreamer
Depends: @, apparmor-profiles-extra, diffutils

## surf 2.0+git20180223

=== Makefile ===
# surf - simple browser
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = surf.c
OBJ = $(SRC:.c=.o)

all: options surf

options:
	@echo surf build options:
	@echo "CFLAGS   = $(SURF_CFLAGS)"
	@echo "LDFLAGS  = $(SURF_LDFLAGS)"
	@echo "CC       = $(CC)"

.c.o:
	@echo CC -c $<
	@$(CC) $(SURF_CFLAGS) -c $<

$(OBJ): config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

surf: $(OBJ)
	@echo CC -o $@
	@$(CC) $(SURF_CFLAGS) -o $@ $(OBJ) $(SURF_LDFLAGS)

clean:
	@echo cleaning
	@rm -f surf $(OBJ)

distclean: clean
	@echo cleaning dist
	@rm -f config.h surf-$(VERSION).tar.gz

dist: distclean
	@echo creating dist tarball
	@mkdir -p surf-$(VERSION)
	@cp -R LICENSE Makefile config.mk config.def.h README \
	    surf-open.sh arg.h TODO.md surf.png \
	    surf.1 $(SRC) surf-$(VERSION)
	@tar -cf surf-$(VERSION).tar surf-$(VERSION)
	@gzip surf-$(VERSION).tar
	@rm -rf surf-$(VERSION)

install: all
	@echo installing executable file to $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@cp -f surf $(DESTDIR)$(PREFIX)/bin
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/surf
	@echo installing manual page to $(DESTDIR)$(MANPREFIX)/man1
	@mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	@sed "s/VERSION/$(VERSION)/g" < surf.1 > $(DESTDIR)$(MANPREFIX)/man1/surf.1
	@chmod 644 $(DESTDIR)$(MANPREFIX)/man1/surf.1

uninstall:
	@echo removing executable file from $(DESTDIR)$(PREFIX)/bin
	@rm -f $(DESTDIR)$(PREFIX)/bin/surf
	@echo removing manual page from $(DESTDIR)$(MANPREFIX)/man1
	@rm -f $(DESTDIR)$(MANPREFIX)/man1/surf.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
surf (2.0+git20180223-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/control: B-D on debhelper: 11 -> 11~.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Jun 2018 15:00:01 +0200

surf (2.0+git20180223-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add new build dependency: libgcr-3-dev.
  * Update apparmor profile to whitelist additional files. (Closes: #895593)
  * Refresh patches and drop obsolete one.
  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.4.
  * Update http URLs to https.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 27 Apr 2018 21:46:10 +0200

surf (2.0-5) unstable; urgency=medium

  * Allow executing surf in apparmor profile to allow opening new windows.
  * Bump Standards-Version to 4.1.2.
  * Bump debhelper compatibility/dependency to 11.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 18 Dec 2017 22:34:26 +0100

surf (2.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1; no changes required.
  * Call x-terminal-emulator instead of hardcoded stterm.
  * Loosen run-time dependencies into recommendations. (Closes: #878372)
  * Install apparmor profile.
  * Switch watch url to https.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 21 Oct 2017 00:42:09 +0200

=== debian/control ===
Source: surf
Section: web
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-apparmor,
               libgcr-3-dev,
               libgtk-3-dev,
               libwebkit2gtk-4.0-dev,
               pkg-config
Standards-Version: 4.1.4
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Homepage: https://surf.suckless.org
Vcs-Git: https://salsa.debian.org/deki-guest/surf.git
Vcs-Browser: https://salsa.debian.org/deki-guest/surf

Package: surf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: stterm | x-terminal-emulator, curl, suckless-tools, x11-utils
Suggests: apparmor, apparmor-profiles-extra
Provides: www-browser
Description: Simple web browser by suckless community
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

## surf 2.0+git20181009

=== Makefile ===
# surf - simple browser
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = surf.c common.c
OBJ = $(SRC:.c=.o)
WEBEXTSRC = libsurf-webext.c
WEBEXTOBJ = $(WEBEXTSRC:.c=.o)

all: options libsurf-webext.so surf

options:
	@echo surf build options:
	@echo "CC            = $(CC)"
	@echo "CFLAGS        = $(SURFCFLAGS) $(CFLAGS)"
	@echo "WEBEXTCFLAGS  = $(WEBEXTCFLAGS) $(CFLAGS)"
	@echo "LDFLAGS       = $(LDFLAGS)"

.c.o:
	$(CC) $(SURFCFLAGS) $(CFLAGS) -c $<

config.h:
	cp config.def.h $@

$(OBJ): config.h common.h config.mk

$(WEBEXTOBJ): $(WEBEXTSRC) config.h common.h config.mk
	$(CC) $(WEBEXTCFLAGS) $(CFLAGS) -c $(WEBEXTSRC)

libsurf-webext.so: $(WEBEXTOBJ)
	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $< $(WEBEXTLIBS) -lc

surf: $(OBJ)
	$(CC) $(SURFLDLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

clean:
	rm -f surf $(OBJ)
	rm -f libsurf-webext.so $(WEBEXTOBJ)

distclean: clean
	rm -f config.h surf-$(VERSION).tar.gz

dist: distclean
	mkdir -p surf-$(VERSION)
	cp -R LICENSE Makefile config.mk config.def.h README \
	    surf-open.sh arg.h TODO.md surf.png \
	    surf.1 $(SRC) $(WEBEXTSRC) surf-$(VERSION)
	tar -cf surf-$(VERSION).tar surf-$(VERSION)
	gzip surf-$(VERSION).tar
	rm -rf surf-$(VERSION)

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -f surf $(DESTDIR)$(PREFIX)/bin
	chmod 755 $(DESTDIR)$(PREFIX)/bin/surf
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp -f libsurf-webext.so $(DESTDIR)$(LIBDIR)
	chmod 644 $(DESTDIR)$(LIBDIR)/libsurf-webext.so
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s/VERSION/$(VERSION)/g" < surf.1 > $(DESTDIR)$(MANPREFIX)/man1/surf.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/surf.1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/surf
	rm -f $(DESTDIR)$(MANPREFIX)/man1/surf.1
	rm -f $(DESTDIR)$(LIBDIR)/libsurf-webext.so
	- rmdir $(DESTDIR)$(LIBDIR)

.SUFFIXES: .so .o .c
.PHONY: all options clean-dist clean dist install uninstall

=== debian/changelog ===
surf (2.0+git20181009-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 06 Jun 2019 20:29:56 +0200

surf (2.0+git20181009-4) unstable; urgency=medium

  [ Leo Singer ]
  * AppArmor: allow access to publicsuffix data. (Closes: #919535)

  [ Reiner Herrmann ]
  * AppArmor:
    - allow surf to create ~/.cache directory. (Closes: #919534)
    - include abstractions/video and allow reading additional sys file.
      (Closes: #919536)
    - allow site-specific additions and overrides.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 27 Jan 2019 12:52:31 +0100

surf (2.0+git20181009-3) unstable; urgency=medium

  * Fix path pattern for usrmerged paths in AppArmor profile.
    Thanks to Leo Singer for the report and the patch. (Closes: #918926)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 16 Jan 2019 20:47:36 +0100

surf (2.0+git20181009-2) unstable; urgency=medium

  * Allow usrmerged paths in AppArmor profile. (Closes: #918926)
  * Fix keeping the download window open when using dash.
  * Bump Standards-Version to 4.3.0.
    - Declare that debian/rules does not require root
  * Use new debhelper-compat dependency instead of d/compat and bump
    to version 12.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 12 Jan 2019 13:48:59 +0100

surf (2.0+git20181009-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump suckless-tools dependency to 43-1, as dmenu 4.7 is required for
    window embedding.
  * Drop patch applied upstream and refresh other patches.
  * Bump Standards-Version to 4.2.1.
  * Drop suggestion on apparmor-profiles-extra by shippping copy of
    gstreamer profile. (Closes: #901416, #912026)
  * Add autopkgtest to ensure that the gstreamer profile copy is up-to-date.
    Thanks to intrigeri for the suggestion.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 01 Nov 2018 15:58:49 +0100

=== debian/control ===
Source: surf
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               libgcr-3-dev,
               libgtk-3-dev,
               libwebkit2gtk-4.0-dev (>= 2.20),
               pkg-config
Standards-Version: 4.3.0
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Homepage: https://surf.suckless.org
Vcs-Git: https://salsa.debian.org/deki-guest/surf.git
Vcs-Browser: https://salsa.debian.org/deki-guest/surf
Rules-Requires-Root: no

Package: surf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: stterm | x-terminal-emulator, curl, suckless-tools (>= 43-1~), x11-utils
Suggests: apparmor
Provides: www-browser
Description: Simple web browser by suckless community
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

## surf 2.0+git20190208

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 include config.mk
 
-SRC = surf.c common.c
+SRC = surf.c
+CSRC = common.c
+WEBEXTSRC = libsurf-webext.c
 OBJ = $(SRC:.c=.o)
-WEBEXTSRC = libsurf-webext.c
+COBJ = $(CSRC:.c=.o)
 WEBEXTOBJ = $(WEBEXTSRC:.c=.o)
 
 all: options libsurf-webext.so surf
@@ -25,18 +27,21 @@
 	cp config.def.h $@
 
 $(OBJ): config.h common.h config.mk
+$(COBJ): config.h common.h config.mk
+$(WEBEXTOBJ): config.h common.h config.mk
 
-$(WEBEXTOBJ): $(WEBEXTSRC) config.h common.h config.mk
+$(WEBEXTOBJ): $(WEBEXTSRC)
 	$(CC) $(WEBEXTCFLAGS) $(CFLAGS) -c $(WEBEXTSRC)
 
-libsurf-webext.so: $(WEBEXTOBJ)
-	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $< $(WEBEXTLIBS) -lc
+libsurf-webext.so: $(WEBEXTOBJ) $(COBJ)
+	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ \
+	    $(WEBEXTOBJ) $(COBJ) $(WEBEXTLIBS)
 
-surf: $(OBJ)
-	$(CC) $(SURFLDLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)
+surf: $(OBJ) $(COBJ)
+	$(CC) $(SURFLDFLAGS) $(LDFLAGS) -o $@ $(OBJ) $(COBJ) $(LIBS)
 
 clean:
-	rm -f surf $(OBJ)
+	rm -f surf $(OBJ) $(COBJ)
 	rm -f libsurf-webext.so $(WEBEXTOBJ)
 
 distclean: clean

=== debian/changelog ===
surf (2.0+git20190208-2) unstable; urgency=medium

  * Update path to st binary in AppArmor profile.
    The stterm package renamed the stterm binary to st and stterm is now
    only a symlink, which caused AppArmor to prevent starting st.
  * Bump Standards-Version to 4.5.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 20 Feb 2020 18:38:02 +0100

surf (2.0+git20190208-1) unstable; urgency=medium

  * New upstream snapshot.
    - refresh patches
  * AppArmor profile changes:
    - include gnome abstraction (Closes: #946784)
    - include mesa abstraction for it's shader cache
    - document behavior when AppArmor is enabled and how to change it
      in README.Debian (Closes: #926393)
  * Bump Standards-Version to 4.4.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 12 Jan 2020 16:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
                dh-apparmor,
                libgcr-3-dev,
                libgtk-3-dev,
-               libwebkit2gtk-4.0-dev (>= 2.20),
+               libwebkit2gtk-4.0-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/deki-guest/surf.git

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,4 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+	dh_apparmor --profile-name=usr.bin.surf

=== debian/watch ===
version=3
https://dl.suckless.org/surf/surf-(.*)\.tar\.gz

## surf 2.0+git20201107

=== Makefile ===
# surf - simple browser
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = surf.c
WSRC = webext-surf.c
OBJ = $(SRC:.c=.o)
WOBJ = $(WSRC:.c=.o)
WLIB = $(WSRC:.c=.so)

all: options surf $(WLIB)

options:
	@echo surf build options:
	@echo "CC            = $(CC)"
	@echo "CFLAGS        = $(SURFCFLAGS) $(CFLAGS)"
	@echo "WEBEXTCFLAGS  = $(WEBEXTCFLAGS) $(CFLAGS)"
	@echo "LDFLAGS       = $(LDFLAGS)"

surf: $(OBJ)
	$(CC) $(SURFLDFLAGS) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

$(OBJ) $(WOBJ): config.h common.h config.mk

config.h:
	cp config.def.h $@

$(OBJ): $(SRC)
	$(CC) $(SURFCFLAGS) $(CFLAGS) -c $(SRC)

$(WLIB): $(WOBJ)
	$(CC) -shared -Wl,-soname,$@ $(LDFLAGS) -o $@ $? $(WEBEXTLIBS)

$(WOBJ): $(WSRC)
	$(CC) $(WEBEXTCFLAGS) $(CFLAGS) -c $(WSRC)

clean:
	rm -f surf $(OBJ)
	rm -f $(WLIB) $(WOBJ)

distclean: clean
	rm -f config.h surf-$(VERSION).tar.gz

dist: distclean
	mkdir -p surf-$(VERSION)
	cp -R LICENSE Makefile config.mk config.def.h README \
	    surf-open.sh arg.h TODO.md surf.png \
	    surf.1 $(SRC) $(CSRC) $(WSRC) surf-$(VERSION)
	tar -cf surf-$(VERSION).tar surf-$(VERSION)
	gzip surf-$(VERSION).tar
	rm -rf surf-$(VERSION)

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -f surf $(DESTDIR)$(PREFIX)/bin
	chmod 755 $(DESTDIR)$(PREFIX)/bin/surf
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp -f $(WLIB) $(DESTDIR)$(LIBDIR)
	for wlib in $(WLIB); do \
	    chmod 644 $(DESTDIR)$(LIBDIR)/$$wlib; \
	done
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s/VERSION/$(VERSION)/g" < surf.1 > $(DESTDIR)$(MANPREFIX)/man1/surf.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/surf.1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/surf
	rm -f $(DESTDIR)$(MANPREFIX)/man1/surf.1
	for wlib in $(WLIB); do \
	    rm -f $(DESTDIR)$(LIBDIR)/$$wlib; \
	done
	- rmdir $(DESTDIR)$(LIBDIR)

.PHONY: all options distclean clean dist install uninstall

=== debian/changelog ===
surf (2.0+git20201107-2) unstable; urgency=medium

  * Sync surf-gstreamer AppArmor abstraction with apparmor-profiles-extra.
    (Closes: #986309)
  * Add version restriction to apparmor-profiles-extra test dependency.
    (Closes: #986310)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 03 Apr 2021 00:00:18 +0200

surf (2.0+git20201107-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * New build-dependency: libglib2.0-dev.
  * Bump Standards-Version to 4.5.1.
  * Update watch file format to version 4.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 17 Nov 2020 14:48:44 +0100

surf (2.0+git20190208-3) unstable; urgency=medium

  * Bump debhelper compat level to 13.
  * Drop --as-needed linker flag, as it's enabled by default.
  * Mark AppArmor autopkgtest as superficial.
  * Add autopkgtest that tests HTTP file retrieval.
  * Update Vcs-* URLs.
  * AppArmor: allow file_lock in local webkitgtk directory.
  * Prevent displaying of build options to workaround blhc false positive.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 29 Aug 2020 16:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: surf
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                libgcr-3-dev,
+               libglib2.0-dev,
                libgtk-3-dev,
                libwebkit2gtk-4.0-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
-Vcs-Git: https://salsa.debian.org/deki-guest/surf.git
-Vcs-Browser: https://salsa.debian.org/deki-guest/surf
+Vcs-Git: https://salsa.debian.org/reiner/surf.git
+Vcs-Browser: https://salsa.debian.org/reiner/surf
 Rules-Requires-Root: no
 
 Package: surf

=== debian/tests/control ===
Test-Command: cmp /etc/apparmor.d/abstractions/surf-gstreamer /etc/apparmor.d/abstractions/gstreamer
Restrictions: superficial
Depends: @, apparmor-profiles-extra (>= 1.32), diffutils

Test-Command: timeout 1m xvfb-run debian/tests/test_http.py
Restrictions: allow-stderr
Depends: @, suckless-tools, python3, xdotool, xvkbd, xvfb, x11-utils, xauth

## surf 2.1%2Bgit20210719

=== debian/changelog ===
surf (2.1+git20210719-2ubuntu0.22.04.1) jammy-security; urgency=medium

  * debian/usr.bin.surf:
    - include the vulkan abstraction, without it the browser renders white
      pages with webkitgtk 2.42 (LP: #2038106)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 09 Sep 2023 22:58:31 +0200

surf (2.1+git20210719-2) unstable; urgency=medium

  * Increase timeout in autopkgtest and let it fail more verbosely.
    (Closes: #1006459)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 25 Feb 2022 23:29:59 +0100

surf (2.1+git20210719-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.6.0.
  * Drop SURF_USERAGENT environment variable, which has no effect.
    (Closes: #992418)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 08 Jan 2022 14:38:30 +0100

=== debian/watch ===
version=4
https://dl.suckless.org/surf/surf-@ANY_VERSION@@ARCHIVE_EXT@

## surf 2.1%2Bgit20221016

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libgcr-3-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.1-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git

## surf 2.1%2Bgit20240324

=== debian/changelog ===
surf (2.1+git20240324-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.7.0.
  * Double (autopkg)test timeout (10min) for slower architectures.
    (Closes: #1077914)
  * Replace obsolete build-dependency: pkg-config -> pkgconf.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Oct 2024 13:17:11 +0200

surf (2.1+git20221016-6) unstable; urgency=low

  * autopkgtest: mark text rendering test as flaky, as it's sporadically
    failing on weaker architectures. (Closes: #1055639)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Dec 2023 13:19:45 +0100

surf (2.1+git20221016-5) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/usr.bin.surf:
    - include the vulkan abstraction, without it the browser renders white
      pages with the new webkitgtk (Closes: #1051788, LP: #2034907)

  [ Reiner Herrmann ]
  * AppArmor profile: drop fontconfig section, as it is already allowed by
    the fonts abstraction.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 12 Sep 2023 21:13:09 +0200

surf (2.1+git20221016-4) unstable; urgency=medium

  * Bump version of test dependency apparmor-profiles-extra.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Dec 2022 12:35:07 +0100

surf (2.1+git20221016-3) unstable; urgency=medium

  * Sync gstreamer AppArmor profile from apparmor-profiles-extra 1.35.
  * Bump Standards-Version to 4.6.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 22 Dec 2022 13:30:00 +0100

surf (2.1+git20221016-2) unstable; urgency=medium

  * Set PREFIX also during build, so the correct plugin directory is searched.
    Thanks to vs63k74cz10x2mk1@fuwamofu.com for the patch. (Closes: #1024891)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 27 Nov 2022 17:29:00 +0100

surf (2.1+git20221016-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 22 Oct 2022 18:30:43 +0200

surf (2.1+git20220504-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add patch to build with webkit2gtk 4.1 instead of 4.0.
  * Build-Depend on libwebkit2gtk-4.1-dev. (Closes: #1018297)

  [ Reiner Herrmann ]
  * Minor adjustments to AppArmor profile.
  * Bump copyright year.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 29 Aug 2022 19:59:45 +0200

surf (2.1+git20220504-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.6.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Jun 2022 21:15:54 +0200

## surf 2.1%2Bgit20250419

=== debian/watch ===
version=4
opts="mode=git, pretty=2.1+git%cd" \
git://git.suckless.org/surf HEAD

## surf 2.1+git20210719

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libgcr-3-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libwebkit2gtk-4.1-dev,
+               libwebkit2gtk-4.0-dev,
                pkg-config
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,10 @@
 Restrictions: superficial
 Depends: @, apparmor-profiles-extra (>= 1.32), diffutils
 
-Test-Command: timeout 1m xvfb-run debian/tests/test_http.py
+Test-Command: timeout -v 5m xvfb-run debian/tests/test_http.py
 Restrictions: allow-stderr
 Depends: @, suckless-tools, python3, xdotool, xvkbd, xvfb, x11-utils, xauth
+
+Test-Command: timeout -v 5m xvfb-run debian/tests/test_text.sh
+Restrictions: allow-stderr
+Depends: @, autopkgtest, xvfb, xauth, xdotool, scrot, tesseract-ocr, diffutils

## surf 2.1+git20220504

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libgcr-3-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.1-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git

## surf 2.1+git20221016

=== debian/changelog ===
surf (2.1+git20221016-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:34 +1100

surf (2.1+git20221016-6build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:01:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                libgtk-3-dev,
                libwebkit2gtk-4.1-dev,
                pkg-config
-Standards-Version: 4.6.1
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git
 Vcs-Browser: https://salsa.debian.org/reiner/surf

=== debian/tests/control ===
Test-Command: cmp /etc/apparmor.d/abstractions/surf-gstreamer /etc/apparmor.d/abstractions/gstreamer
Restrictions: superficial
Depends: @, apparmor-profiles-extra (>= 1.35), diffutils

Test-Command: timeout -v 5m xvfb-run debian/tests/test_http.py
Restrictions: allow-stderr
Depends: @, suckless-tools, python3, xdotool, xvkbd, xvfb, x11-utils, xauth

Test-Command: timeout -v 5m xvfb-run debian/tests/test_text.sh
Restrictions: allow-stderr, flaky
Depends: @, autopkgtest, xvfb, xauth, xdotool, scrot, tesseract-ocr, diffutils

## surf 2.1+git20240324

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	mkdir -p surf-$(VERSION)
 	cp -R LICENSE Makefile config.mk config.def.h README \
 	    surf-open.sh arg.h TODO.md surf.png \
-	    surf.1 $(SRC) $(CSRC) $(WSRC) surf-$(VERSION)
+	    surf.1 common.h $(SRC) $(WSRC) surf-$(VERSION)
 	tar -cf surf-$(VERSION).tar surf-$(VERSION)
 	gzip surf-$(VERSION).tar
 	rm -rf surf-$(VERSION)

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                libglib2.0-dev,
                libgtk-3-dev,
                libwebkit2gtk-4.1-dev,
-               pkg-config
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+               pkgconf,
+Standards-Version: 4.7.0
+Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git
 Vcs-Browser: https://salsa.debian.org/reiner/surf

=== debian/tests/control ===
Test-Command: cmp /etc/apparmor.d/abstractions/surf-gstreamer /etc/apparmor.d/abstractions/gstreamer
Restrictions: superficial
Depends: @, apparmor-profiles-extra (>= 1.35), diffutils

Test-Command: timeout -v 10m xvfb-run debian/tests/test_http.py
Restrictions: allow-stderr
Depends: @, suckless-tools, python3, xdotool, xvkbd, xvfb, x11-utils, xauth

Test-Command: timeout -v 10m xvfb-run debian/tests/test_text.sh
Restrictions: allow-stderr, flaky
Depends: @, autopkgtest, xvfb, xauth, xdotool, scrot, tesseract-ocr, diffutils

## surf 2.1+git20250419

=== debian/changelog ===
surf (2.1+git20250419-1ubuntu1) questing; urgency=medium

  * Adjust apparmor profile to cope with coreutils paths (LP: #2123870):
    - d/usr.bin.surf: use the new @{coreutil_dirs} variable

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 19 Sep 2025 17:52:27 -0300

surf (2.1+git20250419-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Bump Standards-Version to 4.7.2
  * Mark HTTP test as flaky as it frequently causes migration regressions in
    other packages (Closes: #1103356).
  * Force usage of x11 gdk backend as wayland is not supported
    (Closes: #1012739).

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Apr 2025 21:33:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                libgtk-3-dev,
                libwebkit2gtk-4.1-dev,
                pkgconf,
-Standards-Version: 4.7.0
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Standards-Version: 4.7.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Homepage: https://surf.suckless.org
 Vcs-Git: https://salsa.debian.org/reiner/surf.git
 Vcs-Browser: https://salsa.debian.org/reiner/surf

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- PREFIX=/usr
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 	dh_apparmor --profile-name=usr.bin.surf

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Depends: @, apparmor-profiles-extra (>= 1.35), diffutils
 
 Test-Command: timeout -v 10m xvfb-run debian/tests/test_http.py
-Restrictions: allow-stderr
+Restrictions: allow-stderr, flaky
 Depends: @, suckless-tools, python3, xdotool, xvkbd, xvfb, x11-utils, xauth
 
 Test-Command: timeout -v 10m xvfb-run debian/tests/test_text.sh
